#
# spec file for package imlib (Version 1.9.10)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib glib-devel gtk gtk-devel jpeg libjpeg libnetpbm libpng-devel-packages libtiff libungif xf86
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils bzip2 cracklib gcc gdbm gettext glib glib-devel gtk gtk-devel jpeg libjpeg libnetpbm libpng libpng-devel libtiff libtool libungif perl rpm

Name:         imlib
%define prefix   /usr
%define sysconfdir /etc
License:      LGPL
Group:        System/Libraries
Autoreqprov:  on
Summary:      A shared library for loading and rendering 3D images
Version:      1.9.10
Release:      791
Source:       ftp://ftp.gnome.org/pub/GNOME/stable/sources/imlib/imlib-%{version}.tar.bz2
Url:          http://www.labs.redhat.com/imlib/
Patch:        imlib-1.9.8.1-imlib_config_i18n.patch
Patch1:       imlib-png-fix.dif
Patch2:       imlib-1.9.8.1-image_from_drawable.patch
Patch3:       imlib-config.dif
Patch4:       imlib-secfix.diff
Patch5:       pnm-detect.diff
Patch6:       imlib-1.9.10-autoconf.patch
Patch7:       %{name}-tiff_output.diff
Patch8:       imlib-1.9.10-load.diff
Patch9:       imlib-1.9.14-suse-alt-bound.patch
Patch10:      imlib-more-xpm-fixes.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This is a general, all-purpose image loading and rendering (image data
to screen data) library. Imlib is currently capable of loading 25
different image formats.

See the file /usr/include/X11/imlib.h or directory
/usr/share/doc/packages/imlib for more details.

This shared library is needed for the Enlightenment windowmanager and
for GNOME.



Authors:
--------
    Carsten Haitzler <s2154962@cse.unsw.edu.au>

%package      devel
Summary:      Imlib development environment
Group:        Development/Libraries/C and C++
Autoreqprov:  on
Obsoletes:    imlibdev
Provides:     imlibdev
Requires:     %{name} = %{version}

%description devel
You'll need this package if you'll develop own programs linked against
"imlib" or if you'll compile GNOME packages.



Authors:
--------
    Carsten Haitzler <raster@redhat.com>

%package      config
Requires:     %{name} = %{version}
Summary:      Configuration tool for imlib
Group:        System/Libraries
Autoreqprov:  on
Provides:     imlibcfe
Obsoletes:    imlibcfe

%description config
A graphical frontend to configure 'mlib' (imlib-config).



Authors:
--------
    Carsten Haitzler <s2154962@cse.unsw.edu.au>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4 -p1
%patch5
%patch6 -p1 -b .autoconf
%patch7 -b .tiff_convert
%patch8 -p1 -b .load
%patch9 -p1
%patch10 -p1
%{?suse_update_config:%{suse_update_config -f}}
rm -f acinclude.m4
libtoolize --force --copy
autoreconf --install --force

%build
CFLAGS="${RPM_OPT_FLAGS} -Wall -W" \
LIBS=-L/usr/X11R6/%{_lib} \
  ./configure --x-libraries=/usr/X11R6/%{_lib} \
	--prefix=%prefix \
	--sysconfdir=%sysconfdir \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} --infodir=%{_infodir}
make

%install
make -s DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README AUTHORS NEWS
%attr(755,root,root) %{_libdir}/lib*.so.*
%config %{sysconfdir}/*
%{_libdir}/libimlib-*.so

%files config
%defattr(-,root,root)
%{prefix}/bin/imlib_config

%files devel
%defattr(-, root, root)
%doc doc/*.html doc/*.gif
%{prefix}/bin/imlib-config
%{_libdir}/libImlib.so
%{_libdir}/libgdk_imlib.so
%{_libdir}/*a
%{prefix}/include/*
%{prefix}/share/aclocal/*

%changelog -n imlib
* Mon Nov 15 2004 - meissner@suse.de
- Even more additional XPM security fixes. #48061
* Thu Sep 02 2004 - meissner@suse.de
- Also apply to 100%% copy of BMP loader in Imlib/.
* Fri Aug 27 2004 - meissner@suse.de
- Added additional overflow checks to BMP loader.
* Thu Aug 26 2004 - meissner@suse.de
- fixed buffer overflow in BMP loader. CAN-2004-0817,#44228
* Tue Mar 11 2003 - coolo@suse.de
- fixing BMP loading on some non ia32 platforms (#23559)
* Mon Mar 03 2003 - pthomas@suse.de
- Make imlib use deflate for compressing tiff files instead of
  LZW. Fixes #15173.
- Correct lseek call in loader_tiff.
* Fri Aug 09 2002 - pthomas@suse.de
- Add 'requires imlib' to -devel package.
* Tue May 28 2002 - meissner@suse.de
- fixed autoconf breakage.
* Mon May 27 2002 - ro@suse.de
- removed libfbm from neededforbuild again (is a deleted package)
* Tue May 14 2002 - pthomas@suse.de
- Fix brown paperback bug: add explicit dependency on libgdk_imlib
  for dynamic modules of said lib.
- Add patch to support DESTDIR in ltmain.sh.
- Compilation now requires libjpeg, libpng, libgif etc.
* Wed Mar 27 2002 - pthomas@suse.de
- Security fix:
- Check that mallocs won't wrap around.
- Remove support for external helpers.
- Fix detection of pnm files.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 24 2002 - pmladek@suse.cz
- used macros %%{_lib} and %%{_libdir} to fix for lib64
* Thu Jan 10 2002 - schwab@suse.de
- Don't add /usr/include or /usr/local/include to include path.
* Fri Oct 05 2001 - pmladek@suse.cz
- fixed using of image depth in function
  Imlib_create_image_from_drawable, drawable
  can have another depth then ImlibData
* Mon Oct 01 2001 - ro@suse.de
- removed librle from neededforbuild (deleted package)
* Thu Sep 20 2001 - dan@suse.cz
- complete the previous fix (#10275)
* Wed Sep 19 2001 - egger@suse.de
- diff: Integrated 2 simple and obvious fixes (from 1.9.11) to
  allow imlib the correct handling of greyscale PNG images.
  Fixes bug #10275.
* Mon Jul 09 2001 - egger@suse.de
- Updated to version 1.9.10.
* Sat May 12 2001 - schwab@suse.de
- Fix typo.
* Fri Mar 02 2001 - egger@suse.de
- Updated to version 1.9.9.
- Even more tidying.
* Mon Jan 29 2001 - pthomas@suse.de
- cleaned up spec file (got rid of all that -n stuff)
- renamed imlibcfe to imlib-config
* Sat Jan 27 2001 - violiet@suse.de
- added imlib_config i18n patch
* Mon Nov 27 2000 - uli@suse.de
- fixed neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Oct 01 2000 - egger@suse.de
- Removed ImageMagick dependency...
* Fri May 26 2000 - ke@suse.de
- update to version 1.9.8.1.
- ./configure -> %%build.
- add group tag.
- use DESTDIR.
* Fri Apr 07 2000 - bk@suse.de
- added suse update config macro
* Mon Feb 28 2000 - kukuk@suse.de
- update: version 1.9.8.
* Tue Oct 12 1999 - ke@suse.de
- update: version 1.9.7.
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Jun 29 1999 - ke@suse.de
- #neededforbuild libungif (instead of libgif).
* Mon Apr 12 1999 - ke@suse.de
- update: version 1.9.5.
- filelist changes.
* Mon Mar 01 1999 - ke@suse.de
- update: version 1.9.4.
- filelist addition.
* Sun Feb 14 1999 - ke@suse.de
- update: version 1.9.3.
* Thu Jan 21 1999 - ke@suse.de
- update: version 1.9.2.
* Thu Jan 14 1999 - ke@suse.de
- we want to use libpng 1.0.2.  Should work on i386.
* Wed Jan 13 1999 - ke@suse.de
- update: version 1.9.0.
* Sat Jan 09 1999 - ke@suse.de
- update: version 1.8.2.
* Mon Nov 02 1998 - ke@suse.de
- add -L/usr/X11R6/lib to the %%prep stage; remove it from %%build.
* Mon Oct 26 1998 - ke@suse.de
- update: version 1.8.1.
- build subpackages `imlib', `imlibdev', and `cfgeditor'.
* Wed Jul 08 1998 - maddin@suse.de
- new version 1.6
- prepared for Gnome
* Fri Nov 21 1997 - bs@suse.de
- don't call ldconfig in spec file
* Tue Nov 04 1997 - kgw@suse.de
  first SuSE version, ready for autobuild.
